import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { schemeYlOrRd, scaleSequential, max } from 'd3';
import { getMexico } from './getMexico';
import { Marks } from './Marks';
const width = 900;
const height = 580;

const App = () => {
  
  const atlasMex = getMexico();

  if (!atlasMex) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
        <Marks id={atlasMex} data={atlasMex} />
    </svg>
  );
};


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);